/*global Ti */
var service = Ti.Android.currentService;
var intent = service.getIntent();
var new_url = intent.getStringExtra('sermon_file');
var title = intent.getStringExtra('title')
var filename = new_url.split("/");
filename = filename[filename.length-1];

var file = Titanium.Filesystem.getFile(Titanium.Filesystem.externalStorageDirectory, filename);
 
if(file.exists()) { 
  var toast = Titanium.UI.createNotification({
    duration: 2000,
    message: "File exists! Not Downloading"
  });
  toast.show();
} else {

var s_intent = Ti.Android.createIntent({  
    className: 'com.victorynewmedia.dvlifechurch.TiActivity', 
    packageName: 'com.victorynewmedia.dvlifechurch',
    flags: Titanium.Android.FLAG_ACTIVITY_CLEAR_TOP | Titanium.Android.FLAG_ACTIVITY_SINGLE_TOP
});  
 
var s_pending = Ti.Android.createPendingIntent({  
    activity: Titanium.Android.currentActivity,
    intent: s_intent,
    type: Titanium.Android.PENDING_INTENT_FOR_ACTIVITY,
    flags: Titanium.Android.FLAG_UPDATE_CURRENT
});  

var s_notification = Titanium.Android.createNotification({
  contentIntent: s_pending,
  icon:0x01080081,
  contentTitle:'Life Church',
  contentText: 'Downloading '+filename,
  tickerText: 'Downloading '+filename,
  when: new Date().getTime(),
  flags: Titanium.Android.FLAG_ONGOING_EVENT | Titanium.Android.FLAG_NO_CLEAR
});

  var xhr = Titanium.Network.createHTTPClient(); 
  xhr.onerror = function(e) {
    var toast = Titanium.UI.createNotification({
      duration: 4000,
      message: "Error! "+e.error
    });
    toast.show();
    Titanium.Android.NotificationManager.cancel(1);  
  };

  xhr.onload = function() {
    Titanium.Android.NotificationManager.cancel(1);  
    var toast = Titanium.UI.createNotification({
      duration: 4000,
      message: "Successfully downloaded "+filename
    });
    toast.show();
    var f = Ti.Filesystem.getFile(Titanium.Filesystem.externalStorageDirectory, filename);
    f.write(this.responseData);
   };

  xhr.open('GET',new_url);
  Titanium.Android.NotificationManager.notify(1, s_notification);    
  xhr.send();
}
