/*global Ti */
var service = Ti.Android.currentService;
var intent = service.getIntent();
var new_url = intent.getStringExtra('sermon_file')
var title = intent.getStringExtra('title')

var s_intent = Ti.Android.createIntent({  
    className: 'com.victorynewmedia.dvlifechurch.TiActivity', 
    packageName: 'com.victorynewmedia.dvlifechurch',
    flags: Titanium.Android.FLAG_ACTIVITY_CLEAR_TOP | Titanium.Android.FLAG_ACTIVITY_SINGLE_TOP
});  
 
var s_pending = Ti.Android.createPendingIntent({  
    activity: Titanium.Android.currentActivity,
    intent: s_intent,
    type: Titanium.Android.PENDING_INTENT_FOR_ACTIVITY,
    flags: Titanium.Android.FLAG_UPDATE_CURRENT
});  

var s_notification = Titanium.Android.createNotification({
  contentIntent: s_pending,
  contentTitle:'Life Church',
  contentText: 'Downloading Sermon',
  tickerText: 'Downloading Sermon',
  when: new Date().getTime(),
  flags: Titanium.Android.FLAG_ONGOING_EVENT | Titanium.Android.FLAG_NO_CLEAR
});

  var xhr = Titanium.Network.createHTTPClient(); 
  xhr.onerror = function(e) {
    alert("error! "+e.error);
    Titanium.Android.NotificationManager.cancel(1);  
  };

  xhr.onload = function() {
    Titanium.Android.NotificationManager.cancel(1);  
    var f = Ti.Filesystem.getFile(Ti.Filesystem.applicationDataDirectory, title);
    f.write(this.responseData);
   };

  xhr.open('GET',new_url);
  Titanium.Android.NotificationManager.notify(1, s_notification);    
  xhr.send();
