Ti.include('config.js');

Titanium.UI.setBackgroundColor('#eee');

Titanium.Media.audioSessionMode = Titanium.Media.AUDIO_SESSION_MODE_PLAYBACK;

Ti.App.player = Titanium.Media.createSound({
  allowBackground:true,
  preload:true,
});

var tabGroup = Titanium.UI.createTabGroup({
  id:'tabGroup1',
  backgroundColor: '#eee',
});

var sermons_window = Titanium.UI.createWindow({
  url:'sermons.js',
  navBarHidden : false,
  exitOnClose : true,
  titleid:'sermons_tab'
});

var tab1 = Titanium.UI.createTab({
  icon:'sermons.png',
  titleid:'sermons_img',
  title:'Sermons',
  window:sermons_window
});

var events_window = Titanium.UI.createWindow({
  url:'events.js',
  titleid:'events_tab'
});

var tab2 = Titanium.UI.createTab({
  icon:'events.png',
  titleid:'events_img',
  title:'Events',
  window:events_window
});

var aboutus_window = Titanium.UI.createWindow({
  url:aboutus_page,
  title:'About Us',
  titleid:'aboutus_tab'
});

var webview = Ti.UI.createWebView({
  url: 'aboutus.html',
});
 
aboutus_window.add(webview);

var tab3 = Titanium.UI.createTab({
  icon:'aboutus.png',
  title:'About Us',
  titleid:'aboutus_img',
  window:aboutus_window
});

tabGroup.addTab(tab1);
tabGroup.addTab(tab2);
tabGroup.addTab(tab3);
tabGroup.setActiveTab(0); 

tabGroup.open({
  transition:Titanium.UI.iPhone.AnimationStyle.FLIP_FROM_LEFT
});
