Titanium.include('config.js');

var event_window = Titanium.UI.currentWindow;

var logo = event_window.logo;
var website_url = event_window.website_url;

var cal_year = event_window.cal_year;
var cal_month = event_window.cal_month;
var cal_date = event_window.cal_date;
var cal_startDateText = event_window.cal_startDateText;
var cal_startTime = event_window.cal_startTime;
var cal_endTime = event_window.cal_endTime;
var cal_endDateText = event_window.cal_endDateText;
var cal_where = event_window.cal_where;
var title = event_window.cal_title;
var description = event_window.cal_desc;

//starttime vars
startTimeSplit = cal_startTime.split(":");
var startTimeHours = startTimeSplit[0];

if (startTimeHours > 12) {
  startTimeHours = startTimeHours-12;
  var startTimeMidnight = "PM";
} else {
    var startTimeMidnight = "PM";
}

var startTimeMinutes = startTimeSplit[1];
var startTimeSeconds = startTimeSplit[2];
startTimeSeconds = startTimeSeconds.split("-");
startTimeSeconds = startTimeSeconds[0];

//endtime vars
endTimeSplit = cal_endTime.split(":");
var endTimeHours = endTimeSplit[0];

if (endTimeHours > 12) {
  endTimeHours = endTimeHours-12;
  var endTimeMidnight = "PM";
} else {
    var endTimeMidnight = "PM";
}

var endTimeMinutes = endTimeSplit[1];
var endTimeSeconds = endTimeSplit[2];
endTimeSeconds = endTimeSeconds.split("-");
endTimeSeconds = endTimeSeconds[0];

event_window.backgroundColor = "#FFF";
 
var desc_view = Titanium.UI.createScrollView({
  color: '#000',
  top:97
});

var desc_label = Titanium.UI.createLabel({
  text: "Starts: "+cal_startDateText+" @ "+startTimeHours+":"+startTimeMinutes+" "+startTimeMidnight+"\n\nEnds: "+cal_endDateText+" @ "+endTimeHours+":"+endTimeMinutes+" "+endTimeMidnight+"\n\n"+cal_where+"\n\n"+description,
  top:0,
  bottom: 0,
  left: 20,
  right: 20
});

var title_view = Titanium.UI.createView({
  top:0,
  backgroundImage:'actionbar.png',
  height: 77,
  left:0,
  right:0
});

var title_label = Titanium.UI.createLabel({
  left: 20,
  width: Titanium.Platform.displayCaps.platformWidth - 180,
  top: 5,
  bottom: 5,
  text: title
});

var title_google_calendar = Titanium.UI.createButton({
  backgroundImage:'google_calendar.gif',
  right:170,
  top:20,
  width:114,
  height:36,
  bottom: 20
});

title_google_calendar.addEventListener('click',function(e){
  google_calendar_username_encoded = google_calendar_username.replace("/","%2F");
  google_calendar_username_encoded = google_calendar_username_encoded.replace(":","%3A");
  google_calendar_username_encoded = google_calendar_username_encoded.replace("@","%2540");
  Titanium.Platform.openURL("http://www.google.com/calendar/render?cid=https%3A%2F%2Fwww.google.com%2Fcalendar%2Ffeeds%2F"+google_calendar_username_encoded+"%2Fpublic%2Fbasic");
});

var title_save_image = Titanium.UI.createButton({
  backgroundImage: 'save.png', 
  backgroundSelectedImage: 'save_selected.png',
  right:137,
  top:20,
  width:36,
  height:36,
});

title_save_image.addEventListener('click', function() {
  var calendars = Ti.Android.Calendar.selectableCalendars;
  var cc = new Array;
  for (var c = 0; c < calendars.length; c++) {
    cc[c] = calendars[c].name;
  }

  var optionsdialog = Titanium.UI.createOptionDialog({
    title: 'Which Calendar?',
    options: cc,
    cancel:1
  });

  var sel_ind = null;

  optionsdialog.show();

  var cal_hours = "12"; 
  var cal_minutes = "0";
  var cal_seconds = "0";

  var cal_year_end = cal_year;
  var cal_month_end = cal_month; 
  var cal_date_end = cal_date;
  var cal_hours_end = cal_hours; 
  var cal_minutes_end = cal_minutes;
  var cal_seconds_end = cal_seconds;

optionsdialog.addEventListener('click',function(e) {
  insertCalendar(e.index, cal_year, cal_month, cal_date, cal_hours, cal_minutes, cal_seconds, cal_year_end,cal_month_end,cal_date_end,cal_hours_end,cal_minutes_end,cal_seconds_end, title, description );
});
});


var title_share_image = Titanium.UI.createButton({
  backgroundImage: 'share.png', 
  backgroundSelectedImage: 'share_selected.png',
  right:76,
  top:20,
  width:36,
  height:36,
});

var title_facebook_image = Titanium.UI.createButton({
  backgroundImage: 'facebook.png', 
  right:15,
  top:20,
  width:36,
  height:36,
});

title_facebook_image.addEventListener('click',function(e){      

Titanium.Facebook.appid = "104929529606746";
Titanium.Facebook.permissions = ['publish_stream', 'read_stream'];

if(cal_startDateText = cal_endDateText){
var share_date_text = cal_startDateText+" "+startTimeHours+":"+startTimeMinutes+" "+startTimeMidnight+" to "+endTimeHours+":"+endTimeMinutes+" "+endTimeMidnight+" @ "+cal_where;
} else {
var share_date_text = cal_startDateText+" "+startTimeHours+":"+startTimeMinutes+" "+startTimeMidnight+" to "+cal_endDateText+" "+endTimeHours+":"+endTimeMinutes+" "+endTimeMidnight+" @ "+cal_where;
}

	var data = {
		name: title,
                link: website_url,
		caption: share_date_text,
		picture: logo
	};
	Titanium.Facebook.dialog("feed", data, showRequestResult);


function showRequestResult(e) {
	var s = '';
	if (e.success) {
		s = "Successfully shared on facebook";
		if (!e.result && !e.data) {
			s = 'Cancelled';
		}
	} else if (e.cancelled) {
		s = "Cancelled";
	} else {
		s = "Failed";
		if (e.error) {
			s += "; " + e.error;
		}
	}
var toast = Titanium.UI.createNotification({
    duration: 2000,
    message: s
});
toast.show();

}

});

title_share_image.addEventListener('click',function(e){      
  var share = createShareMenu();
  Ti.Android.currentActivity.startActivity(share);
});

function createShareMenu(){
  var subject = "I would like to share this event with you! ";
  var text = "the event details";
  var share_title = "title";
  var sintent = Ti.Android.createIntent({
    action: Ti.Android.ACTION_SEND,
    type: "text/plain"
  });
  sintent.putExtra(Ti.Android.EXTRA_TEXT,text);
  sintent.putExtra(Ti.Android.EXTRA_TITLE,share_title);
  sintent.putExtra(Ti.Android.EXTRA_SUBJECT,subject);
 
  var share = Ti.Android.createIntentChooser(sintent,'Share');
  return share;
}


event_window.add(desc_view);
event_window.add(title_view);
title_view.add(title_label);
title_view.add(title_facebook_image);
title_view.add(title_save_image);
title_view.add(title_share_image);
desc_view.add(desc_label);

