Titanium.Android.NotificationManager.cancel(0);  
Titanium.include('config.js');

var sermon_window = Titanium.UI.currentWindow;
sermon_window.backgroundColor = "#FFF";

date = sermon_window.mp3_month+" "+sermon_window.mp3_date+" "+sermon_window.mp3_year;


if (sermon_window.from_feed=="true"){
  var url = sermon_window.mp3_file;
  var title = sermon_window.mp3_title;
  var art = sermon_window.mp3_art;
} else {
  var url = Ti.App.global_url;
  var title = Ti.App.global_title;
  var art = Ti.App.global_art;
}

  var xhr = Titanium.Network.createHTTPClient();
  xhr.open('GET',"http://tinyurl.com/api-create.php?url="+url);
  xhr.onload = function() {
    link_url = this.responseText;
  };
  xhr.send();

var filename = url.split("/");
filename = filename[filename.length-1];

var file = Titanium.Filesystem.getFile(Titanium.Filesystem.externalStorageDirectory, filename);

var blah = file.nativePath;

alert(blah);

if(file.exists()) { 
  url = file.nativePath;
  var toast = Titanium.UI.createNotification({
    duration: 2000,
    message: "playing "+url+" locally"
  });
  toast.show();
}

if (sermon_window.from_feed!="true"){
  var resume="yes";
}

Ti.App.player.url=url;

var player_controls = Ti.UI.createView({
  bottom:0,
  backgroundImage:'player_controls.png',
  height:100
}); 

var art_view = Titanium.UI.createView({
  top:76,
  bottom:100
});

var art_image = Titanium.UI.createImageView({
  image: art, 
});

var title_view = Titanium.UI.createView({
  top:0,
  backgroundImage:'actionbar.png',
  height: 77,
  left:0,
  right:0,
});

var title_label = Titanium.UI.createLabel({
  left: 20,
  width: Titanium.Platform.displayCaps.platformWidth - 180,
  top: 10,
  bottom: 10,
  text: title,
});

var title_save_image = Titanium.UI.createButton({
  backgroundImage: 'save.png', 
  backgroundSelectedImage: 'save_selected.png',
  right:137,
  top:20,
  width:36,
  height:36,
});

var title_share_image = Titanium.UI.createButton({
  backgroundImage: 'share.png', 
  backgroundSelectedImage: 'share_selected.png',
  right:76,
  top:20,
  width:36,
  height:36,
});

var title_facebook_image = Titanium.UI.createButton({
  backgroundImage: 'facebook.png', 
  right:15,
  top:20,
  width:36,
  height:36,
});

title_share_image.addEventListener('click',function(e){      
  var share = createShareMenu()
  Ti.Android.currentActivity.startActivity(share);
});

title_facebook_image.addEventListener('click',function(e){      

  Titanium.Facebook.appid = "104929529606746";
  Titanium.Facebook.permissions = ['publish_stream', 'read_stream'];

  var data = {
    link: link_url,
    name: title,
    message: "message",
    caption: date,
    picture: logo,
  };
  Titanium.Facebook.dialog("feed", data, showRequestResult);

  function showRequestResult(e) {
    var s = '';
    if (e.success) {
      s = "Successfully shared on facebook";
      if (!e.result && !e.data) {
        s = 'Cancelled';
      }
    } else if (e.cancelled) {
      s = "Cancelled";
    } else {
      s = "Failed";
      if (e.error) {
        s += "; " + e.error;
      } 
    }

    var toast = Titanium.UI.createNotification({
        duration: 2000,
        message: s
    });
    toast.show();
  }
});
 
function createShareMenu(){
  var subject = "I would like to share this sermon with you! ";
  var text = link_url;
  var intent = Ti.Android.createIntent({
    action: Ti.Android.ACTION_SEND,
    type: "text/plain",
  });
  intent.putExtra(Ti.Android.EXTRA_TEXT,text);
  intent.putExtra(Ti.Android.EXTRA_SUBJECT,title);

  var share = Ti.Android.createIntentChooser(intent,'Share');
  return share;
}

title_save_image.addEventListener('click', function() {
  var intent = Ti.Android.createServiceIntent({
    url: 'sermon_download_service.js'
  });
  intent.putExtra('sermon_file', url);
  intent.putExtra('title', sermon_window.mp3_title),
  Ti.Android.startService(intent);
});

var play_button = Titanium.UI.createButton({
  backgroundImage:'play.png',
  backgroundSelectedImage: 'play_selected.png',
  width: 40,
  height: 60
});

play_button.addEventListener('click',function(e) { 

  if(Ti.App.player.playing==true) {
    if(Ti.App.global_url==url) {
      play_button.backgroundImage="play.png";
      Ti.App.player.pause();
    } else {
      Ti.App.player.stop();
      Ti.App.player.release();
      Ti.App.player.url = url;
      Ti.App.global_url = url;
      Ti.App.global_art = art;
      Ti.App.global_title = title;
      Ti.App.player.play();
      play_button.backgroundImage="unplay.png";
    }
  } else {
    if(Ti.App.global_url==url) {
      Ti.App.player.play();
      play_button.backgroundImage="unplay.png";
    } else {
      Ti.App.global_url = url;
      Ti.App.global_title = title;
      Ti.App.global_art = art;
      Ti.App.player.stop();
      Ti.App.player.release();
      Ti.App.player.url = url;
      Ti.App.player.play();
      play_button.backgroundImage="unplay.png";
    }
    return;
  }
});

sermon_window.add(art_view);
art_view.add(art_image);
sermon_window.add(title_view)
title_view.add(title_label);
title_view.add(title_share_image);
title_view.add(title_facebook_image);
title_view.add(title_save_image);
sermon_window.add(player_controls);
player_controls.add(play_button);
